Subject: Re: [dtn-security] BSP ciphersuites
From: Sebastian Domancich <[email-masked]>
To: Stephen Farrell <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Mar 2010 09:22:28 +0100
List-Id: DTN Security Discussion <dtn-security.maillists.intel-research.net>

Hey! Thanks for answering. Peter has kindly contacted me, and now I am
analyzing how to follow with the task.

Regards,
Sebastian.

On Fri, Mar 19, 2010 at 8:16 PM, Stephen Farrell
<[email-masked]> wrote:
>
> Hi Sebastian,
>
> I think right now, the only person that can answer that
> from experience is probably Peter Lovell who I think is
> unavailable for a few days, so just wait a little and I
> suspect you'll get an answer from him.
>
> If I were to guess, I'd say its probably a matter of
> putting the openssl generated key files in the right
> place with the right file names and the right format
> and I'd look in the code for hints about that.
>
> But if you hear nothing for a week or so ping the list
> again and I'll try get you an answer.
>
> S.
>
> On 03/18/2010 01:30 PM, Sebastian Domancich wrote:
>> Hey! Perhaps it would help if I add some context to my previous
>> question about using security in DTN2.
>>
>> I belong to the Bytewalla project, which aims at providing DTN
>> connectivity to rural areas of Africa, by means of an Android
>> implementation of the Bundle Protocol.  Our project would fit under
>> the category of "Extending the Internet: Predetermined Mobility Paths
>> but No Hard Schedule", according to the terminology used by N4C to
>> specify usage scenarios for DTN.
>>
>> In January 2010 our group published an Android Implementation of the
>> Bundle Protocol, being interoperable with the Reference Implementation
>> (DTN2). Our previous work can be found here:
>> http://www.tslab.ssvl.kth.se/csd/projects/092106/
>>
>> Right now I am working on the security aspects of the project, and our
>> plan is to port the security mechanisms from DTN2 to our Android
>> implementation to provide confidentiality and privacy to the
>> communication.
>>
>> I was wondering if anyone with experience on sending PSB and CB
>> protected bundles, could point me into the right direction.
>>
>> Thank you in advance for your help.
>>
>> Regards,
>> Sebastian Domancich.
>>
>> On Wed, Mar 17, 2010 at 2:46 PM, Sebastian Domancich
>> <[email-masked]> wrote:
>>> Dear all,
>>>
>>> I am working on security in DTN2, to send and receive security protected
>>> bundles. I would like to ask for a piece of help.
>>>
>>> By setting the 20-byte symmetric key, I could send and receive hop-by-hop
>>> integrity protected bundles, using the BAB-HMAC ciphersuite and the
>>> "security setkey" command.
>>>
>>> In order to use the PSB (end-to-end integrity protection) and CB
>>> (confidentiality) ciphersuites, I read in a previous post in this list that
>>> we need to manage the keys using the KeySteward class. I have used OpenSSL
>>> to create the RSA public-private pairs. However, I could not figure out how
>>> to make use of the implemented functionality. I would like to ask you:
>>>
>>> *Is there any available code snippet where we make use of the KeySteward
>>> class to send and receive bundles with the PSB and the CB ciphersuites?
>>>
>>> Thank you in advance for your help!
>>>
>>> Regards,
>>>
>>> Sebastian Domancich
>>>
>>> Royal Institute of Technology
>>>
>>> Helsinki University of Technology
>>>
>> _______________________________________________
>> dtn-security mailing list
>> [email-masked]
>> http://maillists.intel-research.net/mailman/listinfo/dtn-security
>>
>

Date: Fri, 19 Mar 2010 19:16:47 +0000
From: Stephen Farrell <[email-masked]>
To: Sebastian Domancich <[email-masked]>
Cc: [email-masked]
Subject: Re: [dtn-security] BSP ciphersuites

Hi Sebastian,

I think right now, the only person that can answer that
from experience is probably Peter Lovell who I think is
unavailable for a few days, so just wait a little and I
suspect you'll get an answer from him.

If I were to guess, I'd say its probably a matter of
putting the openssl generated key files in the right
place with the right file names and the right format
and I'd look in the code for hints about that.

But if you hear nothing for a week or so ping the list
again and I'll try get you an answer.

S.

On 03/18/2010 01:30 PM, Sebastian Domancich wrote:
> Hey! Perhaps it would help if I add some context to my previous
> question about using security in DTN2.
> 
> I belong to the Bytewalla project, which aims at providing DTN
> connectivity to rural areas of Africa, by means of an Android
> implementation of the Bundle Protocol.  Our project would fit under
> the category of "Extending the Internet: Predetermined Mobility Paths
> but No Hard Schedule", according to the terminology used by N4C to
> specify usage scenarios for DTN.
> 
> In January 2010 our group published an Android Implementation of the
> Bundle Protocol, being interoperable with the Reference Implementation
> (DTN2). Our previous work can be found here:
> http://www.tslab.ssvl.kth.se/csd/projects/092106/
> 
> Right now I am working on the security aspects of the project, and our
> plan is to port the security mechanisms from DTN2 to our Android
> implementation to provide confidentiality and privacy to the
> communication.
> 
> I was wondering if anyone with experience on sending PSB and CB
> protected bundles, could point me into the right direction.
> 
> Thank you in advance for your help.
> 
> Regards,
> Sebastian Domancich.
> 
> On Wed, Mar 17, 2010 at 2:46 PM, Sebastian Domancich
> <[email-masked]> wrote:
>> Dear all,
>>
>> I am working on security in DTN2, to send and receive security protected
>> bundles. I would like to ask for a piece of help.
>>
>> By setting the 20-byte symmetric key, I could send and receive hop-by-hop
>> integrity protected bundles, using the BAB-HMAC ciphersuite and the
>> "security setkey" command.
>>
>> In order to use the PSB (end-to-end integrity protection) and CB
>> (confidentiality) ciphersuites, I read in a previous post in this list that
>> we need to manage the keys using the KeySteward class. I have used OpenSSL
>> to create the RSA public-private pairs. However, I could not figure out how
>> to make use of the implemented functionality. I would like to ask you:
>>
>> *Is there any available code snippet where we make use of the KeySteward
>> class to send and receive bundles with the PSB and the CB ciphersuites?
>>
>> Thank you in advance for your help!
>>
>> Regards,
>>
>> Sebastian Domancich
>>
>> Royal Institute of Technology
>>
>> Helsinki University of Technology
>>
> _______________________________________________
> dtn-security mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-security
> 

Date: Thu, 18 Mar 2010 14:30:30 +0100
From: Sebastian Domancich <[email-masked]>
To: [email-masked]
Subject: Re: [dtn-security] BSP ciphersuites

Hey! Perhaps it would help if I add some context to my previous
question about using security in DTN2.

I belong to the Bytewalla project, which aims at providing DTN
connectivity to rural areas of Africa, by means of an Android
implementation of the Bundle Protocol.  Our project would fit under
the category of "Extending the Internet: Predetermined Mobility Paths
but No Hard Schedule", according to the terminology used by N4C to
specify usage scenarios for DTN.

In January 2010 our group published an Android Implementation of the
Bundle Protocol, being interoperable with the Reference Implementation
(DTN2). Our previous work can be found here:
http://www.tslab.ssvl.kth.se/csd/projects/092106/

Right now I am working on the security aspects of the project, and our
plan is to port the security mechanisms from DTN2 to our Android
implementation to provide confidentiality and privacy to the
communication.

I was wondering if anyone with experience on sending PSB and CB
protected bundles, could point me into the right direction.

Thank you in advance for your help.

Regards,
Sebastian Domancich.

On Wed, Mar 17, 2010 at 2:46 PM, Sebastian Domancich
<[email-masked]> wrote:
> Dear all,
>
> I am working on security in DTN2, to send and receive security protected
> bundles. I would like to ask for a piece of help.
>
> By setting the 20-byte symmetric key, I could send and receive hop-by-hop
> integrity protected bundles, using the BAB-HMAC ciphersuite and the
> "security setkey" command.
>
> In order to use the PSB (end-to-end integrity protection) and CB
> (confidentiality) ciphersuites, I read in a previous post in this list that
> we need to manage the keys using the KeySteward class. I have used OpenSSL
> to create the RSA public-private pairs. However, I could not figure out how
> to make use of the implemented functionality. I would like to ask you:
>
> *Is there any available code snippet where we make use of the KeySteward
> class to send and receive bundles with the PSB and the CB ciphersuites?
>
> Thank you in advance for your help!
>
> Regards,
>
> Sebastian Domancich
>
> Royal Institute of Technology
>
> Helsinki University of Technology
>

Date: Wed, 17 Mar 2010 14:46:14 +0100
From: Sebastian Domancich <[email-masked]>
To: [email-masked]
Subject: [dtn-security] BSP ciphersuites

--0016e6d9710283797d0481ff5646
Content-Type: text/plain; charset=ISO-8859-1

Dear all,

I am working on security in DTN2, to send and receive security protected
bundles. I would like to ask for a piece of help.

By setting the 20-byte symmetric key, I could send and receive hop-by-hop
integrity protected bundles, using the BAB-HMAC ciphersuite and the
"security setkey" command.

In order to use the PSB (end-to-end integrity protection) and CB
(confidentiality) ciphersuites, I read in a previous post in this list that
we need to manage the keys using the KeySteward class. I have used OpenSSL
to create the RSA public-private pairs. However, I could not figure out how
to make use of the implemented functionality. I would like to ask you:

*Is there any available code snippet where we make use of the KeySteward
class to send and receive bundles with the PSB and the CB ciphersuites?

Thank you in advance for your help!

Regards,

Sebastian Domancich

Royal Institute of Technology

Helsinki University of Technology

--0016e6d9710283797d0481ff5646
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dutf-8"><m=
eta name=3D"ProgId" content=3D"Word.Document"><meta name=3D"Generator" cont=
ent=3D"Microsoft Word 12"><meta name=3D"Originator" content=3D"Microsoft Wo=
rd 12"><link rel=3D"File-List" href=3D"file:///C:%5CUsers%5Csebas%5CAppData=
%5CLocal%5CTemp%5Cmsohtmlclip1%5C01%5Cclip_filelist.xml"><link rel=3D"theme=
Data" href=3D"file:///C:%5CUsers%5Csebas%5CAppData%5CLocal%5CTemp%5Cmsohtml=
clip1%5C01%5Cclip_themedata.thmx"><link rel=3D"colorSchemeMapping" href=3D"=
file:///C:%5CUsers%5Csebas%5CAppData%5CLocal%5CTemp%5Cmsohtmlclip1%5C01%5Cc=
lip_colorschememapping.xml"><style>
<!--
 /* Font Definitions */
 @font-face
	{font-family:SimSun;
	panose-1:2 1 6 0 3 1 1 1 1 1;
	mso-font-alt:=E5=AE=8B=E4=BD=93;
	mso-font-charset:134;
	mso-generic-font-family:auto;
	mso-font-pitch:variable;
	mso-font-signature:3 680460288 22 0 262145 0;}
@font-face
	{font-family:"Cordia New";
	panose-1:2 11 3 4 2 2 2 2 2 4;
	mso-font-charset:0;
	mso-generic-font-family:swiss;
	mso-font-pitch:variable;
	mso-font-signature:-2130706429 0 0 0 65537 0;}
@font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;
	mso-font-charset:0;
	mso-generic-font-family:roman;
	mso-font-pitch:variable;
	mso-font-signature:-1610611985 1107304683 0 0 159 0;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;
	mso-font-charset:0;
	mso-generic-font-family:swiss;
	mso-font-pitch:variable;
	mso-font-signature:-1610611985 1073750139 0 0 159 0;}
@font-face
	{font-family:"\@SimSun";
	panose-1:2 1 6 0 3 1 1 1 1 1;
	mso-font-charset:134;
	mso-generic-font-family:auto;
	mso-font-pitch:variable;
	mso-font-signature:3 680460288 22 0 262145 0;}
 /* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{mso-style-unhide:no;
	mso-style-qformat:yes;
	mso-style-parent:"";
	margin-top:0in;
	margin-right:0in;
	margin-bottom:10.0pt;
	margin-left:0in;
	line-height:115%;
	mso-pagination:widow-orphan;
	font-size:11.0pt;
	font-family:"Calibri","sans-serif";
	mso-ascii-font-family:Calibri;
	mso-ascii-theme-font:minor-latin;
	mso-fareast-font-family:Calibri;
	mso-fareast-theme-font:minor-latin;
	mso-hansi-font-family:Calibri;
	mso-hansi-theme-font:minor-latin;
	mso-bidi-font-family:"Times New Roman";
	mso-bidi-theme-font:minor-bidi;}
.MsoChpDefault
	{mso-style-type:export-only;
	mso-default-props:yes;
	mso-ascii-font-family:Calibri;
	mso-ascii-theme-font:minor-latin;
	mso-fareast-font-family:Calibri;
	mso-fareast-theme-font:minor-latin;
	mso-hansi-font-family:Calibri;
	mso-hansi-theme-font:minor-latin;
	mso-bidi-font-family:"Times New Roman";
	mso-bidi-theme-font:minor-bidi;}
.MsoPapDefault
	{mso-style-type:export-only;
	margin-bottom:10.0pt;
	line-height:115%;}
@page Section1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;
	mso-header-margin:.5in;
	mso-footer-margin:.5in;
	mso-paper-source:0;}
div.Section1
	{page:Section1;}
-->
</style>

<p class=3D"MsoNormalCxSpFirst"><span style=3D"font-family: &quot;Arial&quo=
t;,&quot;sans-serif&quot;;">Dear</span> all,<br><br>I am working on securit=
y in DTN2, to send and receive security protected bundles. I would like to =
ask for a piece of help.<br>
<br>By setting the 20-byte symmetric key, I could send and receive hop-by-h=
op integrity protected bundles, using the BAB-HMAC ciphersuite and the &quo=
t;security setkey&quot; command.<br><br>In order to use the PSB (end-to-end=
 integrity protection) and CB (confidentiality) ciphersuites, I read in a p=
revious post in this list that we need to manage the keys using the KeyStew=
ard class. I have used OpenSSL to create the RSA public-private pairs. Howe=
ver, I could not figure out how to make use of the implemented functionalit=
y. I would like to ask you:<br>
<br>*Is there any available code snippet where we make use of the KeyStewar=
d class to send and receive bundles with the PSB and the CB ciphersuites?<b=
r><br>Thank you in advance for your help!<br><br>Regards,<br><br>Sebastian =
Domancich</p>
<p class=3D"MsoNormalCxSpFirst">Royal Institute of Technology<br><br>Helsin=
ki University of Technology</p><p class=3D"MsoNormalCxSpMiddle"><br><span s=
tyle=3D"font-family: &quot;Arial&quot;,&quot;sans-serif&quot;;"></span></p>

--0016e6d9710283797d0481ff5646--